# This is a shell script that calls functions and scripts from
# tml@iki.fi's personal work environment. It is not expected to be
# usable unmodified by others, and is included only for reference.

MOD=gnome-vfs
VER=2.22.0
THIS=$MOD-$VER
HEX=`echo $THIS | md5sum | cut -d' ' -f1`

MINOR=${VER%.*}
MINOR=${MINOR#*.}

(( $MINOR % 2 == 1 )) && UNSTABLE="-unstable"

DEPS=`/devel/src/tml/latest$UNSTABLE.sh glib atk pango gtk+ libIDL ORBit2 libbonobo GConf gnome-mime-data`

sed -e 's/need_relink=yes/need_relink=no # no way --tml/' <ltmain.sh >ltmain.temp && mv ltmain.temp ltmain.sh

usestable

MY_PKG_CONFIG_PATH=""
for D in $DEPS; do
    PATH=/devel/dist/$D/bin:$PATH
    [ -d /devel/dist/$D/share/pkgconfig ] && MY_PKG_CONFIG_PATH=/devel/dist/$D/share/pkgconfig:$MY_PKG_CONFIG_PATH
    [ -d /devel/dist/$D/lib/pkgconfig ] && MY_PKG_CONFIG_PATH=/devel/dist/$D/lib/pkgconfig:$MY_PKG_CONFIG_PATH
done
patch --dry-run --verbose -p0 <xdgmime.win32.diff &&
patch -p0 <xdgmime.win32.diff &&

PKG_CONFIG_PATH=$MY_PKG_CONFIG_PATH:$PKG_CONFIG_PATH CC='gcc -mtune=pentium3 -mthreads' CPPFLAGS='-I/opt/gnu/include -I/opt/gnuwin32/include -I/devel/dist/popt-1.10.2-tml-20050828/include' LDFLAGS='-Wl,--enable-runtime-pseudo-reloc -L/opt/gnu/lib -L/opt/gnuwin32/lib -L/devel/dist/popt-1.10.2-tml-20050828/lib' CFLAGS=-O ./configure --enable-debug=yes --disable-gtk-doc --disable-static --disable-openssl --with-gconf-source='xml::${sysconfdir}/gconf/gconf.xml.defaults' --prefix=c:/devel/target/$HEX &&
libtoolcacheize &&

mkdir -p /devel/target/$HEX/etc/gconf/gconf.xml.defaults &&
PKG_CONFIG_PATH=$MY_PKG_CONFIG_PATH:$PKG_CONFIG_PATH PATH=/devel/target/$HEX/bin:.libs:$PATH make install &&
BONOBO_ACTIVATION_PATH=/devel/target/$HEX/lib/bonobo/servers PATH=/devel/target/$HEX/bin:$PATH : make check &&
unset MY_PKG_CONFIG_PATH &&

./gnome-vfs-zip &&

(cd /devel/src/tml && zip /tmp/$MOD-dev-$VER.zip make/$THIS.sh)
manifestify /tmp/$MOD-$VER.zip /tmp/$MOD-dev-$VER.zip
